interface CreepMemory {
    role: string,
    working?: boolean,
    source?:string,
    workTarget?: Id<Structure>,
    [property: string]: any,
}

interface MemoryStructure{
    id: Id<Structure>,
    structureType: string,
    roomName: string
    creep?: Id<Creep>,
}

interface Memory{
    structures?: MemoryStructure[]
}


declare type Part = WORK | MOVE | CARRY | HEAL | ATTACK | RANGED_ATTACK | TOUGH | CLAIM;