import * as creepApi from "./creepApi"


export function Carry(creep: Creep) {
    var containers = creepApi.GetContainer(creep);
    var targets = creepApi.GetConstructure(creep, STRUCTURE_EXTENSION);
    if (creep.store.getFreeCapacity(RESOURCE_ENERGY) > 0) {
        for (var container of containers) {
            if (container.store.getFreeCapacity(RESOURCE_ENERGY) == 0) {
                if (creep.withdraw(container, RESOURCE_ENERGY) == ERR_NOT_IN_RANGE) {
                    creep.moveTo(container, { visualizePathStyle: { stroke: "#00ffxx" } });
                }
            }
        }
    } else {
        if (creep.transfer(targets[0], RESOURCE_ENERGY) == ERR_NOT_IN_RANGE) {
            creep.moveTo(targets[0], { visualizePathStyle: { stroke: "#00ffxx" } });
        }
    }
}